SYNOPSIS
        string set_prompt(mixed prompt, object ob)

DESCRIPTION
        Set the prompt given by the first argument for the interactive
        object instead of the default ``> ''. If the second argument
        is omitted, this_player() is used as default. The first arg
        can be a string or a closure.

        The result returned is the old prompt.

        If the first arg is the number 0, the prompt is not changed,
        just returned.

        The prompt is not printed if an input_to() is pending.

SEE ALSO
        input_to(E)
